'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildDir = exports.styles = exports.outDir = exports.internalDir = exports.init = undefined;

let init = exports.init = function () {
  var ref = _asyncToGenerator(function* () {
    let isDiffVersion = yield differentMotionVersion();

    if ((0, _opts2.default)('reset') || isDiffVersion) yield (0, _fns.recreateDir)((0, _opts2.default)('internalDir'));

    yield Promise.all([(0, _fns.recreateDir)((0, _opts2.default)('deps').assetsDir), (0, _fns.mkdir)((0, _opts2.default)('internalDir')), (0, _fns.mkdir)((0, _opts2.default)('styleDir')), (0, _fns.rm)((0, _fns.p)((0, _opts2.default)('internalDir'), 'user-config'))]);

    if ((0, _opts2.default)('cached')) yield (0, _fns.mkdir)((0, _opts2.default)('outDir'));else yield (0, _fns.recreateDir)((0, _opts2.default)('outDir'));
  });

  return function init() {
    return ref.apply(this, arguments);
  };
}();

let internalDir = exports.internalDir = function () {
  var ref = _asyncToGenerator(function* () {
    (0, _fns.log)(LOG, 'internalDir');
    yield (0, _fns.recreateDir)((0, _opts2.default)('internalDir'));
  });

  return function internalDir() {
    return ref.apply(this, arguments);
  };
}();

let outDir = exports.outDir = function () {
  var ref = _asyncToGenerator(function* () {
    (0, _fns.log)(LOG, 'outDir');
    yield (0, _fns.recreateDir)((0, _opts2.default)('outDir'));
  });

  return function outDir() {
    return ref.apply(this, arguments);
  };
}();

let styles = exports.styles = function () {
  var ref = _asyncToGenerator(function* () {
    (0, _fns.log)(LOG, 'outDir');
    yield (0, _fns.recreateDir)((0, _opts2.default)('styleDir'));
  });

  return function styles() {
    return ref.apply(this, arguments);
  };
}();

let buildDir = exports.buildDir = function () {
  var ref = _asyncToGenerator(function* () {
    (0, _fns.log)(LOG, 'buildDir');
    yield (0, _fns.recreateDir)((0, _opts2.default)('buildDir'));
    yield (0, _fns.mkdir)((0, _fns.p)((0, _opts2.default)('buildDir'), '_'));
  });

  return function buildDir() {
    return ref.apply(this, arguments);
  };
}();

let differentMotionVersion = function () {
  var ref = _asyncToGenerator(function* () {
    const version = (0, _opts2.default)('version');
    const state = yield _disk2.default.state.read();
    const stateVersion = state && state.opts && state.opts.version;

    if (!stateVersion) return true;

    const isDiff = version != stateVersion;

    if (isDiff) print(`  New motion version, updating...\n`.dim);

    return isDiff;
  });

  return function differentMotionVersion() {
    return ref.apply(this, arguments);
  };
}();

var _fns = require('../lib/fns');

var _opts = require('../opts');

var _opts2 = _interopRequireDefault(_opts);

var _disk = require('../disk');

var _disk2 = _interopRequireDefault(_disk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

const LOG = 'clear';

exports.default = { init, outDir, buildDir, internalDir, styles };
//# sourceMappingURL=clear.js.map