'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

let init = function () {
  var ref = _asyncToGenerator(function* () {
    yield (0, _remakeInstallDir2.default)();
  });

  return function init() {
    return ref.apply(this, arguments);
  };
}();

let all = function () {
  var ref = _asyncToGenerator(function* () {
    yield Promise.all([(0, _externals.runExternals)(), (0, _internals.runInternals)()]);
    yield (0, _install.installAll)();
    yield (0, _internals.writeInternals)({ force: true });
    yield (0, _uninstall.uninstall)();
  });

  return function all() {
    return ref.apply(this, arguments);
  };
}();

var _install = require('./install');

var _uninstall = require('./uninstall');

var _scanFile = require('./scanFile');

var _internals = require('./internals');

var _externals = require('./externals');

var _remakeInstallDir = require('./lib/remakeInstallDir');

var _remakeInstallDir2 = _interopRequireDefault(_remakeInstallDir);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

exports.default = {
  init,
  all,
  install: _install.install,
  installAll: _install.installAll,
  uninstall: _uninstall.uninstall,
  scanFile: _scanFile.scanFile,
  writeExternals: _externals.writeExternals,
  writeInternals: _internals.writeInternals,
  isInstalling: _install.isInstalling,
  finishedInstalling: _install.finishedInstalling,
  remakeInstallDir: _remakeInstallDir2.default
};
//# sourceMappingURL=index.js.map