'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onStart = onStart;
exports.onError = onError;
exports.onFinish = onFinish;
exports.onInstalled = onInstalled;
exports.onInternalInstalled = onInternalInstalled;

var _bridge = require('../../bridge');

var _bridge2 = _interopRequireDefault(_bridge);

var _opts = require('../../opts');

var _opts2 = _interopRequireDefault(_opts);

var _cache = require('../../cache');

var _cache2 = _interopRequireDefault(_cache);

var _log = require('../../lib/log');

var _log2 = _interopRequireDefault(_log);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// messaging

function avoid() {
  if ((0, _opts2.default)('build') && !(0, _opts2.default)('watch')) return true;

  return !(0, _opts2.default)('hasRunInitialInstall') || !(0, _opts2.default)('hasRunInitialBuild');
}

function onStart(name) {
  if (avoid()) return;
  _bridge2.default.broadcast('package:install', { name });
}

function onError(name, error) {
  if (avoid()) return;
  _bridge2.default.broadcast('package:error', { name, error });
  _bridge2.default.broadcast('npm:error', { error });
}

function onFinish(name) {
  if (avoid()) return;
  (0, _log2.default)('bundler', 'onPackageFinish: ', name);
  _bridge2.default.broadcast('package:installed', { name });
}

function onInstalled() {
  if (avoid()) return;
  _bridge2.default.broadcast('packages:reload', {});
}

function onInternalInstalled() {
  if (avoid()) return;
  _bridge2.default.broadcast('internals:reload', {
    importers: _cache2.default.getInternalImporters()
  });
}
//# sourceMappingURL=messages.js.map