'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _execPromise = require('../../lib/execPromise');

var _execPromise2 = _interopRequireDefault(_execPromise);

var _console = require('../../../shared/console');

var _opts = require('../../opts');

var _opts2 = _interopRequireDefault(_opts);

var _fns = require('../../lib/fns');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

const LOG = 'externals';

exports.default = function () {
  var ref = _asyncToGenerator(function* (label, cmd, name, index, total) {
    let spinner;

    try {
      spinner = logProgress(label, name, index, total);
      yield (0, _execPromise2.default)(cmd, (0, _opts2.default)('motionDir'));
      spinner && spinner.stop();
    } catch (e) {
      spinner && spinner.stop();
      if (e.code == 1) throw new Error(`${ cmd } failed`);
    }
  });

  return function progress(_x, _x2, _x3, _x4, _x5) {
    return ref.apply(this, arguments);
  };
}();

function logProgress(tag, name, index, total) {
  if (!(0, _opts2.default)('hasRunInitialBuild')) return;

  (0, _fns.log)('bundler', 'logProgress', tag, name);

  const out = total ? `  ${ index + 1 } of ${ total }: ${ name }` : `  ${ tag }: ${ name }`.dim;

  if ((0, _opts2.default)('build') && !(0, _opts2.default)('watch')) print(out);else {
    let spinner = new _console.Spinner(out);
    spinner.start({ fps: 15 });
    return spinner;
  }
}
//# sourceMappingURL=progress.js.map