'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = requireString;

var _opts = require('../../opts');

var _opts2 = _interopRequireDefault(_opts);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function requireString(names) {
  var _ref = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  var _ref$prefix = _ref.prefix;
  let prefix = _ref$prefix === undefined ? '' : _ref$prefix;
  var _ref$removeExt = _ref.removeExt;
  let removeExt = _ref$removeExt === undefined ? false : _ref$removeExt;

  if (removeExt) names = names.map(str => str.replace(/\.js[xf]?$/, ''));

  // if you put them in a try/catch you get:
  //   + no big breakage if try and install bad package
  //   - no nice error line numbers / breaking

  return `
  var packages = {}

${ names.map(name => {
    return `  packages["${ name }"] = require("${ prefix }${ name }");\n`;
  }).join('') }

  window.require.setApp("${ (0, _opts2.default)('saneName') }")
  module.exports = packages
  `;
}
//# sourceMappingURL=requireString.js.map