'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.writeServerState = exports.init = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

let init = exports.init = function () {
  var ref = _asyncToGenerator(function* () {
    yield createWriters();
  });

  return function init() {
    return ref.apply(this, arguments);
  };
}();

// TODO ugly


let createWriters = function () {
  var ref = _asyncToGenerator(function* () {
    writers.package = yield (0, _createWriter2.default)((0, _fns.p)((0, _opts2.default)('motionDir'), 'package.json'), {
      debug: 'packageJSON',
      json: true,
      defaultValue: {}
    });

    writers.stateWriter = yield (0, _createWriter2.default)((0, _opts2.default)('stateFile'), {
      debug: 'state',
      json: true,
      defaultValue: {}
    });

    writers.pathsWriter = yield (0, _createWriter2.default)((0, _opts2.default)('deps').externalsPaths, {
      debug: 'externalsPaths',
      json: true,
      defaultValue: []
    });

    writers.externalsWriter = yield (0, _createWriter2.default)((0, _opts2.default)('deps').externalsIn, {
      debug: 'externals'
    });

    writers.internalsWriter = yield (0, _createWriter2.default)((0, _opts2.default)('deps').internalsIn, {
      debug: 'internals'
    });
  });

  return function createWriters() {
    return ref.apply(this, arguments);
  };
}();

let writeServerState = exports.writeServerState = function () {
  var ref = _asyncToGenerator(function* () {
    try {
      yield writers.state.write(function (state, write) {
        state.port = (0, _opts2.default)('port');
        state.wport = (0, _wport2.default)();
        write(state);
      });
    } catch (e) {
      (0, _fns.handleError)(e);
    }
  });

  return function writeServerState() {
    return ref.apply(this, arguments);
  };
}();

var _opts = require('./opts');

var _opts2 = _interopRequireDefault(_opts);

var _wport = require('./lib/wport');

var _wport2 = _interopRequireDefault(_wport);

var _fns = require('./lib/fns');

var _createWriter = require('./lib/createWriter');

var _createWriter2 = _interopRequireDefault(_createWriter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

let writers = {
  externalsPaths: {
    read: () => writers.pathsWriter.read(),
    write: a => writers.pathsWriter.write(a),
    hasChanged: () => writers.pathsWriter.hasChanged()
  },

  externalsIn: {
    read: () => writers.externalsWriter.read(),
    write: a => writers.externalsWriter.write(a),
    hasChanged: () => writers.externalsWriter.hasChanged()
  },

  internalsIn: {
    read: () => writers.internalsWriter.read(),
    write: a => writers.internalsWriter.write(a),
    hasChanged: () => writers.internalsWriter.hasChanged()
  },

  state: {
    read: () => writers.stateWriter.read(),
    write: a => writers.stateWriter.write(a),
    hasChanged: () => writers.stateWriter.hasChanged()
  },

  packageJSON: {
    read: () => writers.package.read(),
    write: a => writers.package.write(a),
    hasChanged: () => writers.package.hasChanged()
  }
};

exports.default = _extends({
  init
}, writers, {
  writeServerState
});
//# sourceMappingURL=disk.js.map