'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.assets = undefined;

let assets = exports.assets = function () {
  var ref = _asyncToGenerator(function* () {
    try {
      yield Promise.all([assetsApp(), assetsStatics()]);
    } catch (e) {
      (0, _fns.handleError)(e);
    }
  });

  return function assets() {
    return ref.apply(this, arguments);
  };
}();

// app images, fonts, etc


// .motion/static

let assetsStatics = function () {
  var ref = _asyncToGenerator(function* () {
    const statics = {
      dir: (0, _fns.p)((0, _opts2.default)('motionDir'), 'static'),
      glob: ['*', '**/*', '!.motion{,/**}'],
      out: (0, _fns.p)((0, _opts2.default)('buildDir'), '_', 'static')
    };

    yield (0, _fns.mkdir)(statics.out);

    let stream = _helpers.gulp.src(statics.glob, { cwd: statics.dir });

    if ((0, _opts2.default)('watch')) stream = stream.pipe(_helpers.$.watch(statics.glob, { readDelay: 1 }));

    return new Promise(function (resolve, reject) {
      stream.pipe(_helpers.$.plumber())
      // .pipe($.fn(out.goodFile('⇢')))
      // .pipe($.filterEmptyDirs)
      .pipe(_helpers.gulp.dest(statics.out)).on('end', function () {
        _fns.log.gulp('finished statics');
        resolve();
      }).on('error', reject);
    });
  });

  return function assetsStatics() {
    return ref.apply(this, arguments);
  };
}();

var _helpers = require('./lib/helpers');

var _opts = require('../opts');

var _opts2 = _interopRequireDefault(_opts);

var _fns = require('../lib/fns');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

function assetsApp() {
  const assets = {
    glob: ['*', '**/*', '!**/*.js',, '!**/*.js.map', '!.motion{,/**}'],
    out: (0, _opts2.default)('buildDir')
  };

  let stream = _helpers.gulp.src(assets.glob);

  if ((0, _opts2.default)('watch')) stream = stream.pipe(_helpers.$.watch(assets.glob, { readDelay: 1 }));

  return new Promise((resolve, reject) => {
    stream.pipe(_helpers.$.plumber())
    // .pipe($.fn(out.goodFile('⇢')))
    // .pipe($.filterEmptyDirs)
    .pipe(_helpers.gulp.dest(assets.out)).on('end', () => {
      _fns.log.gulp('finished assets');
      resolve();
    }).on('error', reject);
  });
}
//# sourceMappingURL=assets.js.map