'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configs = configs;

var _helpers = require('./lib/helpers');

var _fns = require('../lib/fns');

function configs(src, _ref) {
  let dest = _ref.dest;
  let combine = _ref.combine;
  let minify = _ref.minify;
  let wrap = _ref.wrap;

  return new Promise((resolve, reject) => {
    _helpers.gulp.src(src).pipe(_helpers.$.sourcemaps.init())
    // .pipe($.if(combine, $.order(src)))
    .pipe(_helpers.$.if(combine, _helpers.$.concat(`${ (0, _fns.opts)('saneName') }.js`))).pipe(_helpers.$.if(wrap, babel({
      whitelist: [],
      retainLines: true,
      comments: true,
      plugins: [motionTransform.app({ name: (0, _fns.opts)('saneName') })],
      compact: true,
      extra: { production: (0, _helpers.isProduction)() }
    }))).pipe(_helpers.$.if(minify, _helpers.$.uglify())).pipe(_helpers.$.sourcemaps.write('.')).pipe(_helpers.gulp.dest(dest)).on('end', resolve).on('error', reject);
  });
}
//# sourceMappingURL=configs.js.map