'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SCRIPTS_GLOB = exports.gulp = exports.through = exports.isProduction = exports.isBuilding = exports.$ = exports.out = exports.time = exports.relative = exports.isSourceMap = undefined;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _gulp2 = require('gulp');

var _gulp3 = _interopRequireDefault(_gulp2);

var _through2 = require('through2');

var _through3 = _interopRequireDefault(_through2);

var _gulpLoadPlugins = require('gulp-load-plugins');

var _gulpLoadPlugins2 = _interopRequireDefault(_gulpLoadPlugins);

var _fns = require('../../lib/fns');

var _opts = require('../../opts');

var _opts2 = _interopRequireDefault(_opts);

var _cache = require('../../cache');

var _cache2 = _interopRequireDefault(_cache);

var _scriptsGlob = require('./scriptsGlob');

var _scriptsGlob2 = _interopRequireDefault(_scriptsGlob);

var _mergeStream = require('merge-stream');

var _mergeStream2 = _interopRequireDefault(_mergeStream);

var _multipipe = require('multipipe');

var _multipipe2 = _interopRequireDefault(_multipipe);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isSourceMap = exports.isSourceMap = file => _fns.path.extname(file) === '.map';
const relative = exports.relative = file => _fns.path.relative((0, _opts2.default)('appDir'), file.path);
const time = exports.time = _ => typeof _ == 'number' ? ` ${ _ }ms` : '';
const out = exports.out = {};
out.badFile = (file, err) => print(`  ✖ ${ relative(file) }`.red), out.goodFile = symbol => (file, ms) => print(`  ${ _chalk2.default.dim(symbol) }${ relative(file) } ` + _chalk2.default.dim(file.startTime ? time(Date.now() - file.startTime || 1).dim : ''));
out.goodScript = out.goodFile('');

const $ = exports.$ = (0, _gulpLoadPlugins2.default)();

$.filterEmptyDirs = $.if(file => !file.stat.isFile(), $.ignore.exclude(true));
$.merge = _mergeStream2.default;
$.multipipe = _multipipe2.default;
$.fn = logfn;

const isBuilding = exports.isBuilding = () => (0, _opts2.default)('build') && !(0, _opts2.default)('watch');
const isProduction = exports.isProduction = () => (0, _opts2.default)('build');

const through = exports.through = _through3.default;
const gulp = exports.gulp = _gulp3.default;
const SCRIPTS_GLOB = exports.SCRIPTS_GLOB = _scriptsGlob2.default;

function logfn(fn) {
  return _through3.default.obj(function (file, enc, next) {
    let result = fn && fn(file);

    if (typeof result == 'string') {
      file.contents = new Buffer(result);
      next(null, file);
      return;
    }

    next(null, file);
  });
}
//# sourceMappingURL=helpers.js.map